> For the complete documentation index, see [llms.txt](https://docs.peoplelogic.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.peoplelogic.dev/guides/getting-started-with-the-talent-agent-sdk/getting-the-sdk.md).

# Getting the SDK

As part of your Talent Agent SDK subscription you'll receive source access to the full SDK source code and samples at <https://github.com/peoplelogic/agent-sdk>.  We will have invited your organization as a collaborator during signup.

The preferred method of starting a new project with the SDK is to leverage Gradle or Maven as your build tool.&#x20;

{% tabs %}
{% tab title="Gradle" %}
{% code title="build.gradle" %}

```groovy
plugins {
    id 'java'
    id "io.freefair.lombok" version "8.6"
    id "org.springframework.boot" version "3.5.3"
}

group = 'dev.peoplelogic.agents.sample'
project.description = "Peoplelogic Agent SDK Sample"
def agent_sdk_version = "${agent_sdk_version}"

java { toolchain { languageVersion = JavaLanguageVersion.of(17) } }
repositories {
    mavenCentral()
    maven { url 'https://jitpack.io' }
    maven {
        name = "SDK Repository"
        url = uri("https://maven.pkg.github.com/peoplelogic/agent-sdk")
        credentials {
            username = System.getenv("GITHUB_USERNAME") ?: project.findProperty("github.username")
            password = System.getenv("GITHUB_PACKAGES_TOKEN") ?: project.findProperty("github.packagesToken")
        }
    }
}

dependencies {
    implementation(platform("ai.peoplelogic:agent-sdk-dependencies:${agent_sdk_version}"))
    // Include teh SDK
    implementation "ai.peoplelogic:agent-sdk"
    implementation "dev.langchain4j:langchain4j"
}
```

{% endcode %}
{% endtab %}

{% tab title="Maven" %}
{% code title="pom.xml" %}

```xml
<project xmlns="http://maven.apache.org/POM/4.0.0" 
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 
                             https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <!-- Inherit Spring Boot’s plugin and dependency-management settings -->
  <parent>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>${spring.boot.version}</version>
    <relativePath/> <!-- lookup parent from repository -->
  </parent>

  <groupId>dev.peoplelogic.agents.sample</groupId>
  <artifactId>agent-sdk-sample</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <name>Peoplelogic Agent SDK Sample</name>
  <description>Peoplelogic Agent SDK Sample</description>

  <properties>
    <!-- pulled in from your Space variables -->
    <java.version>17</java.version>
    <lombok.version>8.6</lombok.version>
    <spring.boot.version>3.5.3</spring.boot.version>
    <agent.sdk.version>1.0.8-RC1</agent.sdk.version>

    <!-- for GitHub Packages auth -->
    <github.username>${env.GITHUB_USERNAME}</github.username>
    <github.packagesToken>${env.GITHUB_PACKAGES_TOKEN}</github.packagesToken>
  </properties>

  <repositories>
    <repository>
      <id>maven-central</id>
      <url>https://repo.maven.apache.org/maven2/</url>
    </repository>
    <repository>
      <id>jitpack.io</id>
      <url>https://jitpack.io</url>
    </repository>
    <repository>
      <id>sdk-repository</id>
      <name>SDK Repository</name>
      <url>https://maven.pkg.github.com/peoplelogic/agent-sdk</url>
      <releases><enabled>true</enabled></releases>
      <snapshots><enabled>true</enabled></snapshots>
      <authentication>
        <username>${github.username}</username>
        <password>${github.packagesToken}</password>
      </authentication>
    </repository>
  </repositories>

  <dependencyManagement>
    <dependencies>
      <!-- import the agent‑sdk BOM so you can omit explicit versions -->
      <dependency>
        <groupId>ai.peoplelogic</groupId>
        <artifactId>agent-sdk-dependencies</artifactId>
        <version>${agent.sdk.version}</version>
        <type>pom</type>
        <scope>import</scope>
      </dependency>
    </dependencies>
  </dependencyManagement>

  <dependencies>
    <!-- platform BOM already imported -->
    <dependency>
      <groupId>ai.peoplelogic</groupId>
      <artifactId>agent-sdk</artifactId>
    </dependency>

    <dependency>
      <groupId>dev.langchain4j</groupId>
      <artifactId>langchain4j</artifactId>
    </dependency>

    <!-- Lombok (annotation‑only) -->
    <dependency>
      <groupId>org.projectlombok</groupId>
      <artifactId>lombok</artifactId>
      <version>${lombok.version}</version>
      <scope>provided</scope>
    </dependency>

    <!-- Spring Boot test support, etc., can go here if needed -->
  </dependencies>

  <build>
    <plugins>
      <!-- Compile with Java toolchain version -->
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-compiler-plugin</artifactId>
        <version>3.10.1</version>
        <configuration>
          <release>${java.version}</release>
        </configuration>
      </plugin>

      <!-- Spring Boot repackage & run -->
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <configuration>
          <jvmArguments>
            -Xmx2g
            --add-opens=java.base/jdk.internal.ref=ALL-UNNAMED
            --add-opens=java.base/java.lang=ALL-UNNAMED
            --add-opens=java.base/java.lang.reflect=ALL-UNNAMED
            --add-opens=java.base/sun.reflect.annotation=ALL-UNNAMED
          </jvmArguments>
        </configuration>
      </plugin>
    </plugins>
  </build>
</project>

```

{% endcode %}
{% endtab %}
{% endtabs %}

If you're using Gradle, you'll also typically want to include a `gradle.properties` file with the following:

{% code title="gradle.properties" %}

```gradle
agent_sdk_version = 1.0.8-RC1
```

{% endcode %}

### Alternatives to Gradle or Maven

If you aren't a user of Gradle or Maven, you can download the SDK as a standalone package to include in your project or you can download one of our sample projects as a starter kit. &#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.peoplelogic.dev/guides/getting-started-with-the-talent-agent-sdk/getting-the-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
